Skip to main content

List child units

GET 

/nevisidm/api/core/v1/:clientExtId/units/:extId/children

Since: 2.79.0

Required permission(s): AccessControl.UnitView

Returns all direct child units of the unit with the given external ID within the specified client.

Supports continuation-token-based pagination.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    extId stringrequired

    External ID of the parent unit.

    Example: unit-123

Query Parameters

    continuationToken string

    Pagination continuation token from a previous response.

    limit int32

    Default value: 0

    Maximum number of results to return.

    Example: 100

Responses

Child units retrieved successfully

Schema
    items object[]
  • Array [
  • created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    extId string

    The external ID of the unit.

    parentUnitExtId string

    The external ID of the parent unit.

    clientExtId string

    The external ID of the client the unit belongs to.

    hierarchicalName string

    The path from the root unit to the actual unit. The external IDs of the units are concatenated with the '/' character.

    name string

    The name of the unit.

    location string

    Free textual description of the physical location of the unit.

    description string

    The textual description of the unit.

    state string

    Possible values: [active, disabled]

    The state of the unit.

    displayName object

    Language-dependent name of the unit. Keys: EN, DE, FR, IT.

    property name* string
    abbreviation object

    Short form of the unit name. Keys: EN, DE, FR, IT.

    property name* string
    profileless boolean

    Determines whether profile assignment is allowed.

    modificationComment string

    Textual comment regarding the last modification.

    validity object

    The validity period of the unit entity.

    from string

    Start date of the entity's validity in ISO format.

    to string

    End date of the entity's validity in ISO format.

  • ]
  • _pagination object
    continuationToken string

    The continuation token for fetching the next page of results generated from creation date and external id of the last entity

    limit int32

    The maximum number of results returned in a single page

    totalResult int64

    The total number of results available, only supported for selected endpoints, if returnTotalResultCount query-parameter is true

    _classifications object
    property name* string[]
  • Array [
  • string

  • ]
Loading...